"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.constants = void 0;
const path_1 = require("path");
const redis_smq_common_1 = require("redis-smq-common");
const curDir = redis_smq_common_1.env.getCurrentDir();
const srcDir = (0, path_1.resolve)(curDir, '../');
const rootDir = (0, path_1.resolve)(srcDir, '../').split('/').pop() === 'redis-smq-rest-api'
    ? (0, path_1.resolve)(srcDir, '../')
    : (0, path_1.resolve)(srcDir, '../../..');
const tsConfigPath = (0, path_1.resolve)(rootDir, './tsconfig.json');
const jsonSchemaPath = (0, path_1.resolve)(rootDir, './dist/schema.json');
const openApiDocumentFilename = 'openapi-specs.json';
const apiServerPort = 7210;
const apiServerHostname = '127.0.0.1';
const apiServerBasePath = '/';
exports.constants = {
    srcDir,
    rootDir,
    openApiDocumentFilename,
    tsConfigPath,
    jsonSchemaPath,
    apiServerHostname,
    apiServerPort,
    apiServerBasePath,
};
//# sourceMappingURL=constants.js.map