import { Container } from '../../container/Container.js';
export const countConsumerGroupPendingMessagesController = async (ctx) => {
    const service = Container.getInstance().resolve('consumerGroupsService');
    const { consumerGroupId, ...queueParams } = ctx.scope.resolve('requestPathDTO');
    const r = await service.countPendingMessages(queueParams, consumerGroupId);
    return [200, r];
};
//# sourceMappingURL=countConsumerGroupPendingMessagesController.js.map