import { Container } from '../../container/Container.js';
export const saveConsumerGroupController = async (ctx) => {
    const service = Container.getInstance().resolve('consumerGroupsService');
    const queueParams = ctx.scope.resolve('requestPathDTO');
    const { consumerGroupId } = ctx.scope.resolve('requestBodyDTO');
    await service.saveConsumerGroup(queueParams, consumerGroupId);
    return [204, null];
};
//# sourceMappingURL=saveConsumerGroupController.js.map