export declare const errors: {
    readonly RouterRequestValidationError: readonly [422, "RouterRequestValidationError"];
    readonly RouterResponseValidatorNotFoundError: readonly [500, "RouterResponseValidatorNotFoundError"];
    readonly RouterResponseValidationError: readonly [500, "RouterResponseValidationError"];
    readonly QueueRateLimitInvalidIntervalError: readonly [400, "QueueRateLimitInvalidIntervalError"];
    readonly QueueRateLimitInvalidLimitError: readonly [400, "QueueRateLimitInvalidLimitError"];
    readonly QueueRateLimitQueueNotFoundError: readonly [400, "QueueRateLimitQueueNotFoundError"];
    readonly QueueMessagesConsumerGroupIdRequiredError: readonly [400, "QueueMessagesConsumerGroupIdRequiredError"];
    readonly QueueMessagesConsumerGroupIdNotSupportedError: readonly [400, "QueueMessagesConsumerGroupIdNotSupportedError"];
    readonly QueueInvalidQueueParameterError: readonly [400, "QueueInvalidQueueParameterError"];
    readonly QueueQueueExistsError: readonly [400, "QueueQueueExistsError"];
    readonly QueueQueueHasRunningConsumersError: readonly [403, "QueueQueueHasRunningConsumersError"];
    readonly QueueQueueNotEmptyError: readonly [403, "QueueQueueNotEmptyError"];
    readonly QueueQueueNotFoundError: readonly [404, "QueueQueueNotFoundError"];
    readonly ProducerExchangeNoMatchedQueueError: readonly [400, "ProducerExchangeNoMatchedQueueError"];
    readonly ProducerInstanceNotRunningError: readonly [500, "ProducerInstanceNotRunningError"];
    readonly ProducerMessageExchangeRequiredError: readonly [400, "ProducerMessageExchangeRequiredError"];
    readonly ProducerMessagePriorityRequiredError: readonly [400, "ProducerMessagePriorityRequiredError"];
    readonly ProducerPriorityQueuingNotEnabledError: readonly [400, "ProducerPriorityQueuingNotEnabledError"];
    readonly ProducerQueueMissingConsumerGroupsError: readonly [400, "ProducerQueueMissingConsumerGroupsError"];
    readonly ProducerQueueNotFoundError: readonly [400, "ProducerQueueNotFoundError"];
    readonly ProducerScheduleInvalidParametersError: readonly [500, "ProducerScheduleInvalidParametersError"];
    readonly ProducerUnknownQueueTypeError: readonly [500, "ProducerUnknownQueueTypeError"];
    readonly ProducerError: readonly [500, "ProducerError"];
    readonly NamespaceNotFoundError: readonly [404, "NamespaceNotFoundError"];
    readonly NamespaceInvalidNamespaceError: readonly [400, "NamespaceInvalidNamespaceError"];
    readonly MessageDestinationQueueAlreadySetError: readonly [500, "MessageDestinationQueueAlreadySetError"];
    readonly MessageDestinationQueueRequiredError: readonly [400, "MessageDestinationQueueRequiredError"];
    readonly MessageInvalidParametersError: readonly [500, "MessageInvalidParametersError"];
    readonly MessageMessageExchangeRequiredError: readonly [400, "MessageMessageExchangeRequiredError"];
    readonly MessageMessageInProcessError: readonly [403, "MessageMessageInProcessError"];
    readonly MessageMessageNotFoundError: readonly [404, "MessageMessageNotFoundError"];
    readonly MessageMessageNotRequeuableError: readonly [400, "MessageMessageNotRequeuableError"];
    readonly MessageMessageNotDeletedError: readonly [500, "MessageMessageNotDeletedError"];
    readonly MessageMessagePropertyError: readonly [400, "MessageMessagePropertyError"];
    readonly MessageError: readonly [500, "MessageError"];
    readonly ExchangeFanOutError: readonly [500, "ExchangeFanOutError"];
    readonly ExchangeFanOutExchangeHasBoundQueuesError: readonly [403, "ExchangeFanOutExchangeHasBoundQueuesError"];
    readonly ExchangeFanOutQueueTypeError: readonly [403, "ExchangeFanOutQueueTypeError"];
    readonly ExchangeInvalidFanOutParamsError: readonly [422, "ExchangeInvalidFanOutParamsError"];
    readonly ExchangeInvalidQueueParamsError: readonly [422, "ExchangeInvalidQueueParamsError"];
    readonly ExchangeInvalidTopicParamsError: readonly [422, "ExchangeInvalidTopicParamsError"];
    readonly ExchangeQueueIsNotBoundToExchangeError: readonly [400, "ExchangeQueueIsNotBoundToExchangeError"];
    readonly ConsumerGroupsError: readonly [500, "ConsumerGroupsError"];
    readonly ConsumerGroupsQueueNotFoundError: readonly [404, "ConsumerGroupsQueueNotFoundError"];
    readonly ConsumerGroupsInvalidGroupIdError: readonly [422, "ConsumerGroupsInvalidGroupIdError"];
    readonly ConsumerGroupsConsumerGroupNotEmptyError: readonly [403, "ConsumerGroupsConsumerGroupNotEmptyError"];
    readonly ConsumerGroupsConsumerGroupsNotSupportedError: readonly [400, "ConsumerGroupsConsumerGroupsNotSupportedError"];
    readonly ConsumerConsumeMessageHandlerAlreadyExistsError: readonly [400, "ConsumerConsumeMessageHandlerAlreadyExistsError"];
    readonly ConsumerConsumerGroupIdNotSupportedError: readonly [400, "ConsumerConsumerGroupIdNotSupportedError"];
    readonly ConsumerConsumerGroupIdRequiredError: readonly [400, "ConsumerConsumerGroupIdRequiredError"];
};
//# sourceMappingURL=errors.d.ts.map