import { Middleware } from '@koa/router';
import { AwilixContainer } from 'awilix';
import { IContextScope } from '../../../app/container/types/container.js';
export interface IApplicationMiddlewareContext<RequestPathDTO = unknown, RequestQueryDTO = unknown, RequestBodyDTO = unknown> {
    mySlowToInitializeClient: string;
    scope: AwilixContainer<IContextScope<RequestPathDTO, RequestQueryDTO, RequestBodyDTO>>;
}
export interface IApplicationMiddlewareState {
    responseSchemaKey: string;
}
export type TApplicationMiddleware<RequestPathDTO = unknown, RequestQueryDTO = unknown, RequestBodyDTO = unknown> = Middleware<IApplicationMiddlewareState, IApplicationMiddlewareContext<RequestPathDTO, RequestQueryDTO, RequestBodyDTO>>;
//# sourceMappingURL=index.d.ts.map