import supertest from 'supertest';
import { describe, expect, it } from 'vitest';
import { config } from '../../../../tests/common/config.js';
describe('saveExchangeController', () => {
    it('HTTP 204 No Content', async () => {
        const request = supertest(`http://127.0.0.1:${config.apiServer?.port}`);
        const response1 = await request
            .post(`/api/v1/exchanges/fan-out-exchanges`)
            .send({ fanOutName: 'my-fan-out' });
        expect(response1.status).toEqual(204);
        expect(response1.body).toEqual({});
    });
});
//# sourceMappingURL=saveExchangeController.test.js.map