import { Container } from '../../container/Container.js';
export const getQueueAcknowledgedMessagesController = async (ctx) => {
    const queueAcknowledgedMessagesService = Container.getInstance().resolve('queueAcknowledgedMessagesService');
    const queueParams = ctx.scope.resolve('requestPathDTO');
    const { cursor, pageSize } = ctx.scope.resolve('requestQueryDTO');
    const r = await queueAcknowledgedMessagesService.getMessages(queueParams, cursor, pageSize);
    return [200, r];
};
//# sourceMappingURL=getQueueAcknowledgedMessagesController.js.map