import { Container } from '../../container/Container.js';
export const getQueuePendingMessagesController = async (ctx) => {
    const queuePendingMessagesService = Container.getInstance().resolve('queuePendingMessagesService');
    const queueParams = ctx.scope.resolve('requestPathDTO');
    const { cursor, pageSize } = ctx.scope.resolve('requestQueryDTO');
    const r = await queuePendingMessagesService.getMessages(queueParams, cursor, pageSize);
    return [200, r];
};
//# sourceMappingURL=getQueuePendingMessagesController.js.map