import bluebird from 'bluebird';
const { promisifyAll } = bluebird;
export class NamespacesService {
    namespace;
    constructor(namespace) {
        this.namespace = promisifyAll(namespace);
    }
    getNamespaces() {
        return this.namespace.getNamespacesAsync();
    }
    getNamespaceQueues(ns) {
        return this.namespace.getNamespaceQueuesAsync(ns);
    }
    deleteNamespace(ns) {
        return this.namespace.deleteAsync(ns);
    }
}
//# sourceMappingURL=NamespacesService.js.map