import bluebird from 'bluebird';
const { promisifyAll } = bluebird;
export class QueueAcknowledgedMessagesService {
    queueAcknowledgedMessages;
    constructor(queueAcknowledgedMessages) {
        this.queueAcknowledgedMessages = promisifyAll(queueAcknowledgedMessages);
    }
    getMessages(queueParams, cursor, pageSize) {
        return this.queueAcknowledgedMessages.getMessagesAsync(queueParams, cursor, pageSize);
    }
    async purge(queueParams) {
        return this.queueAcknowledgedMessages.purgeAsync(queueParams);
    }
    async countMessagesAsync(queueParams) {
        return this.queueAcknowledgedMessages.countMessagesAsync(queueParams);
    }
}
//# sourceMappingURL=QueueAcknowledgedMessagesService.js.map